# StorageUpgradeable
Date: 2020-04-18

me.legofreak107.vehiclesplus.vehicles.vehicles.objects.base.storage

## Class StorageUpgradeable

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.base.storage.StorageUpgradeable

    public class StorageUpgradeable
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`StorageUpgradeable(java.lang.Integer base, java.lang.Integer max, java.lang.Integer step, java.lang.Integer upgradeCost)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StorageUpgradeable

    public StorageUpgradeable(java.lang.Integer base,
                              java.lang.Integer max,
                              java.lang.Integer step,
                              java.lang.Integer upgradeCost)